=== debian/changelog ===
qubes-gui-agent (4.1.15-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 05 Jan 2021 22:23:18 +0100

qubes-gui-agent (4.1.15-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat

  [ Benjamin Moody ]
  * vmside: Rename wm_state to net_wm_state.
  * vmside: Implement the WM_STATE property.

  [ Demi Marie Obenour ]
  * Remove unnecessary XInternAtom
  * Move XInternAtom calls to startup
  * Log when an unmanaged window is skipped
  * Add Vim modeline
  * Delete commented-out code
  * Use actual X11 timestamps
  * Only set focus on windows that want it
  * Tell Java we are a non-reparenting window manager
  * Remove references to /tmp/qubes-session-{env,waiter}
  * Remove unneded time parameters
  * Avoid passing NULL as an X11 string

  [ Marek Marczykowski-Górecki ]
  * Start gui-agent only after systemd let in normal users

  [ Demi Marie Obenour ]
  * Mass replace: ‘/var/run’ → ‘/run’

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 05 Jan 2021 22:23:18 +0100
