## qubes-gui-agent 4.1.16

=== debian/changelog ===
qubes-gui-agent (4.1.16-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 13 Feb 2021 12:30:55 +0100

qubes-gui-agent (4.1.16-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: prevent restart on update
  * Add pulseaudio-14.1 headers
  * Add pulseaudio 14.2 headers

  [ unman ]
  * Fix pulseaudio in Ubuntu templates

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 Feb 2021 12:30:55 +0100
