## qubes-gui-agent 4.1.19

=== Makefile ===
--- 
+++ 
@@ -77,9 +77,7 @@
 
 install: install-rh-agent install-pulseaudio
 
-install-rh-agent: appvm install-common
-	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
-		$(DESTDIR)/$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
+install-rh-agent: appvm install-common install-systemd
 	install -m 0644 -D appvm-scripts/etc/sysconfig/desktop \
 		$(DESTDIR)/etc/sysconfig/desktop
 	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/20qt-x11-no-mitshm.sh \
@@ -91,13 +89,11 @@
 	install -D appvm-scripts/etc/X11/xinit/xinitrc.d/60xfce-desktop.sh \
 		$(DESTDIR)/etc/X11/xinit/xinitrc.d/60xfce-desktop.sh
 
-install-debian: appvm install-common install-pulseaudio
+install-debian: appvm install-common install-pulseaudio install-systemd
 	install -d $(DESTDIR)/etc/X11/Xsession.d
 	install -m 0644 appvm-scripts/etc/X11/Xsession.d/* $(DESTDIR)/etc/X11/Xsession.d/
 	install -d $(DESTDIR)/etc/xdg
 	install -m 0644 appvm-scripts/etc/xdg-debian/* $(DESTDIR)/etc/xdg
-	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
-		$(DESTDIR)/$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
 
 install-pulseaudio:
 	install -D pulse/start-pulseaudio-with-vchan \
@@ -116,6 +112,10 @@
 	install -m 0644 -D appvm-scripts/etc/xdgautostart/qubes-pulseaudio.desktop \
 		$(DESTDIR)/etc/xdg/autostart/qubes-pulseaudio.desktop
 
+install-systemd:
+	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
+		$(DESTDIR)/$(SYSLIBDIR)/systemd/system/qubes-gui-agent.service
+
 install-common:
 	install -D gui-agent/qubes-gui $(DESTDIR)/usr/bin/qubes-gui
 	install -D gui-common/qubes-gui-runuser $(DESTDIR)/usr/bin/qubes-gui-runuser
@@ -130,6 +130,8 @@
 		$(DESTDIR)/usr/bin/qubes-run-xephyr
 	install -D appvm-scripts/usrbin/qubes-start-xephyr \
 		$(DESTDIR)/usr/bin/qubes-start-xephyr
+	install -D appvm-scripts/usrbin/qubes-run-x11vnc \
+		$(DESTDIR)/usr/bin/qubes-run-x11vnc
 	install -D appvm-scripts/usrbin/qubes-change-keyboard-layout \
 		$(DESTDIR)/usr/bin/qubes-change-keyboard-layout
 	install -D appvm-scripts/usrbin/qubes-set-monitor-layout \
@@ -142,6 +144,10 @@
 		$(DESTDIR)$(LIBDIR)/xorg/modules/drivers/dummyqbs_drv.so
 	install -m 0644 -D appvm-scripts/etc/X11/xorg-qubes.conf.template \
 		$(DESTDIR)/etc/X11/xorg-qubes.conf.template
+	install -m 0644 -D appvm-scripts/etc/X11/xorg-qubes-x11vnc.conf.template \
+		$(DESTDIR)/etc/X11/xorg-qubes-x11vnc.conf.template
+	install -m 0644 -D appvm-scripts/etc/systemd/system/lightdm.service.d/qubes-guivm-vnc.conf \
+		$(DESTDIR)/etc/systemd/system/lightdm.service.d/qubes-guivm-vnc.conf
 	install -m 0644 -D appvm-scripts/etc/profile.d/qubes-gui.sh \
 		$(DESTDIR)/etc/profile.d/qubes-gui.sh
 	install -m 0644 -D appvm-scripts/etc/profile.d/qubes-gui.csh \
