## qubes-gui-agent 4.1.22

=== debian/changelog ===
qubes-gui-agent (4.1.22-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 24 Aug 2021 03:56:41 +0200

qubes-gui-agent (4.1.22-1) unstable; urgency=medium

  [ fepitre-bot ]
  * Add pulseaudio-15.0 headers

  [ Marek Marczykowski-Górecki ]
  * pulse: set module version to the PA version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 24 Aug 2021 03:56:41 +0200
