## qubes-gui-agent 4.1.24

=== debian/changelog ===
qubes-gui-agent (4.1.24-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 06 Jan 2022 04:41:12 +0100

qubes-gui-agent (4.1.24-1) unstable; urgency=medium

  * archlinux: bump xorg ABI version requirements

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 06 Jan 2022 04:41:12 +0100
