## qubes-gui-agent 4.1.25

=== debian/changelog ===
qubes-gui-agent (4.1.25-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 05 Mar 2022 06:06:57 +0100

qubes-gui-agent (4.1.25-1) unstable; urgency=medium

  [ Otto Sabart ]
  * archlinux: add lsb-release into make dependencies

  [ Rudd-O ]
  * Make qubes-session inherit the systemd user session variables.
  * Update qubes-session

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Mar 2022 06:06:57 +0100
