## qubes-gui-agent 4.2.0

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,8 @@
 DATADIR ?= /usr/share
 PA_VER_FULL ?= $(shell pkg-config --modversion libpulse | cut -d "-" -f 1 || echo 0.0)
 PA_MODULE_DIR ?= $(shell pkg-config --variable=modlibexecdir libpulse)
+
+USER_DROPIN_DIR ?= /usr/lib/systemd/user
 
 help:
 	@echo "Qubes GUI main Makefile:" ;\
@@ -106,6 +108,11 @@
 		$(DESTDIR)/$(USRLIBDIR)/tmpfiles.d/qubes-pulseaudio.conf
 	install -m 0644 -D appvm-scripts/etc/xdgautostart/qubes-pulseaudio.desktop \
 		$(DESTDIR)/etc/xdg/autostart/qubes-pulseaudio.desktop
+	install -d $(DESTDIR)$(USER_DROPIN_DIR)/pulseaudio.service.d
+	install -m 0644 pulse/pulseaudio.service.d/*.conf \
+		$(DESTDIR)$(USER_DROPIN_DIR)/pulseaudio.service.d
+	install -D pulse/75-pulseaudio-qubes.preset \
+		$(DESTDIR)$(USER_DROPIN_DIR)-preset/75-pulseaudio-qubes.preset
 
 install-systemd:
 	install -m 0644 -D appvm-scripts/qubes-gui-agent.service \
