## qubes-gui-agent 4.2.2

=== debian/changelog ===
qubes-gui-agent (4.2.2-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 09 Jan 2023 12:55:12 +0100

qubes-gui-agent (4.2.2-1) unstable; urgency=medium

  * rpm: remove explicit dependency on libvchan

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Jan 2023 12:55:12 +0100
