=== debian/control ===
--- 
+++ 
@@ -20,10 +20,11 @@
     libxt-dev,
     libxen-dev,
     lsb-release,
+    libpipewire-0.3-dev,
     quilt,
     qubes-gui-common (>= 4.1.0),
     qubesdb-dev,
-    libltdl-dev
+    libltdl-dev,
 Standards-Version: 4.4.0.1
 Homepage: http://www.qubes-os.org/
 #Vcs-Git: git://git.debian.org/collab-maint/qubes-gui-agent.git
@@ -109,6 +110,18 @@
 Description: Audio support for Qubes VM
  Pulseaudio module to enable sound support in Qubes VM
 
+Package: pipewire-qubes
+Architecture: any
+Depends:
+ qubesdb-vm (>= 4.1.4),
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: PipeWire module to enable sound support in Qubes VM
+ Experimental PipeWire module to enable sound support in Qubes VMs.
+ Unlike the PulseAudio support in the pulseaudio-qubes package, this
+ works with the stock PipeWire service and does not depend on internal
+ PipeWire headers.  It is also less code.
+
 Package: qubes-gui-agent-xfce
 Architecture: any
 Depends:
