## qubes-gui-agent 4.2.5

=== debian/changelog ===
qubes-gui-agent (4.2.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 07 May 2023 16:33:59 +0200

qubes-gui-agent (4.2.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add support for Ubuntu in builderv2
  * .qubesbuilder: fix sed for ubuntu

  [ Marek Marczykowski-Górecki ]
  * pulse: use pulseaudio version from pkg-config

  [ Frédéric Pierret (fepitre) ]
  * jammy: use pipewire

  [ Marek Marczykowski-Górecki ]
  * Fix setting pipewire-qubes as recommended under Ubuntu jammy

  [ Frédéric Pierret (fepitre) ]
  * pipewire-qubes: add pipewire-pulse dependency
  * debian: enable pipewire starting from bookworm
  * debian: update maintainer
  * debian: move piprewire-pulse in Recommends

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 07 May 2023 16:33:59 +0200
