=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: qubes-gui-agent
 Section: admin
 Priority: extra
-Maintainer: Davíð Steinn Geirsson <david@dsg.is>
+Maintainer: Qubes OS Team <qubes-devel@googlegroups.com>
 Build-Depends:
     debhelper,
     libpam0g-dev,
@@ -49,7 +49,7 @@
     xserver-xorg-input-qubes (= ${binary:Version}),
     ${shlibs:Depends},
     ${misc:Depends}
-Recommends: qt4-qtconfig, pulseaudio-qubes
+Recommends: qt4-qtconfig, pipewire-qubes
 Provides: x-display-manager
 Description: Makes X11 windows available to qubes dom0
  The Qubes GUI agent allows the forwarding of running app windows to the
@@ -116,6 +116,7 @@
  qubesdb-vm (>= 4.1.4),
  ${shlibs:Depends},
  ${misc:Depends}
+Recommends: pipewire-pulse
 Description: PipeWire module to enable sound support in Qubes VM
  Experimental PipeWire module to enable sound support in Qubes VMs.
  Unlike the PulseAudio support in the pulseaudio-qubes package, this
