=== debian/control ===
--- 
+++ 
@@ -101,6 +101,7 @@
     ${shlibs:Depends},
     ${pulse:Depends},
     ${misc:Depends},
+Conflicts: pipewire-qubes
 Replaces:
  qubes-gui-agent (<< 4.1.9-1),
  qubes-core-agent (<< 4.2.5-1),
@@ -116,6 +117,7 @@
  qubesdb-vm (>= 4.1.4),
  ${shlibs:Depends},
  ${misc:Depends}
+Conflicts: pulseaudio-qubes
 Recommends: pipewire-pulse
 Description: PipeWire module to enable sound support in Qubes VM
  Experimental PipeWire module to enable sound support in Qubes VMs.
